/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


/* Sticky Footer */
body { min-height: 100vh; display: flex; flex-direction: column; }
.container.grid-container { width: 100%; }
.site-footer { margin-top: auto;
}

/* Header */

/* Top Menu */

/* Top Menu List */
.cbd-topmenu-list { display: flex; margin: 0 -20px 0 0 ; padding: 0; list-style-type: none; }
.cbd-topmenu-list-item {}
.cbd-topmenu-list-item a { display: flex; align-items: center; min-height: 32px; color: var(--contrast); background-color: var(--base); transform: skewX(25deg); border-left: 2px solid var(--base-2); transition: 0.25s ease-in-out; }
.cbd-topmenu-list-item a span { display: inline-block; padding: .2em 1em; transform: skewX(-25deg); font-size: .9rem; line-height: 1; }
.cbd-topmenu-wrapper { transform: skewX(25deg); border-left: 2px solid var(--base-2); }
.cbd-topmenu-wrapper > .elementor-element { transform: skewX(-25deg); }
/* Hover */
.cbd-topmenu-list-item a:is(:focus, :hover) { background-color: var(--accent); color: #fff; }

/* Header Nav */

/* Header Nav Hover */
.cbd-mainmenu .elementor-nav-menu > .menu-item > a { position: relative; }
.cbd-mainmenu .elementor-nav-menu > .menu-item > a::before { position: absolute; content: "["; left: 2px; opacity: 0; transition: 0.25s; }
.cbd-mainmenu .elementor-nav-menu > .menu-item > a:is(:focus, :hover)::before { left: 6px; opacity: 1; }
.cbd-mainmenu .elementor-nav-menu > .menu-item > a::after { position: absolute; content: "]"; right: 2px; opacity: 0; transition: 0.25s; }
.cbd-mainmenu .elementor-nav-menu > .menu-item > a:is(:focus, :hover)::after { right: 6px; opacity: 1; }
/* Submenu */
.cbd-mainmenu .sub-menu { padding-bottom: 10px !important; border-radius: 0 0 3px 3px; }
.cbd-mainmenu .sub-menu .menu-item a { padding-right: 40px; padding-left: 13px; }


/* Pages */

.entry-header .entry-title { margin-bottom: 1.5em; text-align: center;}
@media(max-width: 768px) { .entry-header .entry-title { margin-bottom: 1em; } }




/* Edicao Atual */

/* Edicao Atual Header */
.edicao-atual-header__title { color: #fff; text-align: center; }



/* Congressos Anteriores */

/* NAV */
.menu-edicao-anterior {}
.menu-edicao-anterior__list { display: flex; flex-wrap: wrap; justify-content: center; align-items: center; margin: 0; padding: 0; list-style-type: none;  }
.menu-edicao-anterior__list-item { position: relative; display: flex; }
.menu-edicao-anterior__list-item a { display: flex; padding: 13px 16px; font-size: 1rem; font-weight: 500; box-sizing: border-box; color: var(--contrast); }
.menu-edicao-anterior__list-item:not(:last-child)::after { content: ""; border-right: 1px solid; height: 30%; position: absolute; top: 50%; transform: translateY(-50%); right: 0; }
.menu-edicao-anterior__list-item a:is(:focus, :hover) { color: var(--accent); }
@media(max-width: 768px) {
	.menu-edicao-anterior__list-item a { padding: 8px 8px; }
}


/* ---- Edicoes  Anteriores ---- */

/* Parceiros */

.jet-listing-dynamic-field__inline-wrap { width: 100% !important; display: block; }


.jet-listing-dynamic-field__content img[src$="BB_Gov_Icone.svg"] {
  width: 100% !important;
  height: auto !important;
  max-width: 100%;
  display: block;
  object-fit: contain; 
}

.page-id-1596 .etn-variable-ticket-widget .variations_0 .variation_5 {
	display: none;
}

.page-id-34377 .etn-variable-ticket-widget .variations_0 > div:not(.variation_5) {
	display: none;
}

/* Events */
.css-1mjasxs.etn-ticket-quantity .etn-ticket-selection-btn { background-color: var(--base); }
.eventin-checkout-page .eventin-back-button { display: none; }


/* Remove seções de frete e envio no checkout do WooCommerce */
.woocommerce-shipping-totals,
.woocommerce-additional-fields,
#shipping_method,
#ship-to-different-address,
.shipping,
.woocommerce-checkout-review-order-table .shipping,
.woocommerce-shipping-fields,
.woocommerce-billing-fields__field-wrapper + .woocommerce-shipping-fields,
#customer_details .col-2,
form.checkout .shipping_address {
  display: none !important;
}

/* Opcional: ajusta o layout para o resumo ocupar o espaço */
.woocommerce-checkout-review-order {
  width: 100% !important;
}


/* Harmoniza visual dos alertas do Eventin */
.ant-form-item-explain-error {
  color: #ff4d4f !important;
  font-size: 14px !important;
  font-weight: 500;
}
.eventin-checkout-page .back-to-top-btn { display: none; }
